# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

%define uname   SPIRV-Headers

# Comment out when using stable release.
# Upstream tracks git commits in their known_good.json, so we are forced to do the same.
# See glslang for the required known_good commit for this package.
%define git f027d53ded7e230e008d37c8b47ede7cd308e19d
%define shortgit %(echo %{git} | cut -c1-7)
%define rel 1

Name:           spirv-headers
# Check https://github.com/KhronosGroup/SPIRV-Headers/releases to see if any matches the commit,
# or take the last tag before the commit hash.
Version:        1.5.4
Release:        %mkrel %{rel}%{?git:.%{shortgit}}
Summary:        Header files from the SPIR-V registry
Group:          Development/C
License:        MIT
URL:            https://github.com/KhronosGroup/SPIRV-Headers
%if 0%{?git:1}
Source0:        https://github.com/KhronosGroup/SPIRV-Headers/archive/%{shortgit}/%{name}-%{shortgit}.tar.gz
%else
Source0:        https://github.com/KhronosGroup/SPIRV-Headers/archive/%{version}/%{uname}-%{version}.tar.gz
%endif

BuildArch:      noarch

%description
Header files from the SPIR-V registry. This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry file

%prep
%autosetup -p1 -n %{uname}-%{!?git:%{version}}%{?git}
find include/ -type f | xargs chmod a-x

%build
# Nothing to do

%install
install -d %{buildroot}%{_includedir}
cp -a include/* %{buildroot}%{_includedir}/

%files
%doc README.md
%license LICENSE
%{_includedir}/spirv/


%changelog
* Wed Dec 30 2020 akien <akien> 1.5.4-1.f027d53.mga8
+ Revision: 1666456
- Commit f027d53, matches requirements for Vulkan SDK 1.2.162.0

* Mon Oct 12 2020 akien <akien> 1.5.3-1.060627f.mga8
+ Revision: 1633737
- Commit 060627f, matches requirements for Vulkan SDK 1.2.154.0

* Mon Feb 17 2020 akien <akien> 1.5.1-3.204cd13.mga8
+ Revision: 1536915
- Commit 204cd13, matching requirements for Vulkan SDK 1.2.131.2

* Sun Feb 16 2020 umeabot <umeabot> 1.5.1-2.38cafab.mga8
+ Revision: 1533899
- Mageia 8 Mass Rebuild

* Wed Sep 25 2019 akien <akien> 1.5.1-1.38cafab.mga8
+ Revision: 1445835
- Commit 38cafab, matching requirements for Vulkan SDK 1.1.121.0

* Thu Apr 18 2019 akien <akien> 1.3.7-3.2434b89.mga7
+ Revision: 1393152
- Commit 2434b893, matching requirements from Vulkan SDK 1.1.106.0

* Wed Mar 27 2019 akien <akien> 1.3.7-2.3beb2a0.mga7
+ Revision: 1380634
- Update to git 3beb2a0 required by glslang@5432f0d required by Vulkan SDK 1.1.101.1

* Tue Mar 26 2019 akien <akien> 1.3.7-1.mga7
+ Revision: 1380455
- Version 1.3.7

* Mon Dec 10 2018 akien <akien> 1.2-0.20181130.1.mga7
+ Revision: 1339715
- Adapt spec file to Mageia policies, simplify
- import spirv-headers from Fedora Rawhide

